Get all templates
GET
/api/v1/templates
const url = 'https://app.legaldoc.io/api/v1/templates?page=1&perPage=1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.legaldoc.io/api/v1/templates?page=1&perPage=1' \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
number
perPage
number
Responses
Section titled “Responses”200
Media typeapplication/json
object
templates
required
Array<object>
object
id
required
number
externalId
string
type
required
string
title
required
string
userId
required
number
teamId
number
templateDocumentDataId
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
totalPages
required
number
Example
{ "templates": [ { "type": "PUBLIC" } ]}401
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}404
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}